%% Telemetry Demo
%   Shows how to use Telemetry. Runs for 1000 steps.
% -------------------------------------------------------------------------
%  See also Telemetry
% -------------------------------------------------------------------------
%%
%-------------------------------------------------------------------------------
%   Copyright (c) 1999-2000, 2006 Princeton Satellite Systems, Inc.
%   All rights reserved.
%-------------------------------------------------------------------------------

tag = Telemetry( 'initialize', 'TelemetryPages' );

w = [1;0.1;0.01;0.003;0.004;2];
lW = length(w);

t = 0;
u = struct;

while( t < 1000 )
  t = t + 2;
  for j = 1:lW
    u.data(j) = sin(w(j)*t);
  end
  u.time = t;
  Telemetry( 'update', tag, u );
end


%--------------------------------------
% PSS internal file version information
%--------------------------------------
% $Date: 2010-09-09 10:48:19 -0500 (Thu, 09 Sep 2010) $
% $Revision: 21954 $
