
%-------------------------------------------------------------------------------
%   Plot real time in a single window.
%-------------------------------------------------------------------------------
%   Form:
%   tag = TelemetryPlot( action, modifier, u )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   action      (1,:)    Action
%   modifier    (:)      On initialization this is the struture
%                        .tLabel
%                        .tLim   (1,2) [start stop]
%                        .yLim   (:,2) [min max] if equal RealTimePlot will use [-1 1]
%                        .yLabel {:}   Cell array with y labels
%                        .t      (1,1) Initial time                       
%                        .y      (1,1) Initial state vector                      
%   u           (:)      .data   {:}   Data
%                        .t      (1,1) Time
%
%   -------
%   Outputs
%   -------
%   tag         (1,1)    Tag to the plot page
%
%-------------------------------------------------------------------------------